Subject: Can't talk to X server through ssh tunnel after ~ 18 minutes
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 25 May 2011 10:43:12 -0700
List-Id: <cygwin.cygwin.com>

I ssh from my Cygwin box to a Linux machine (happens with Solaris 
machines too) and I can run X applications back to Cygwin/X without a 
problem. However, after a few minutes something happens to the tunnel 
and I can no longer put up any X windows:

$ cat checks.sh
#!/bin/bash
while true; do
   date
   xclock &
   sleep 2
   killall xclock
   if [ $? != 0 ]; then
     echo Cannot talk to X Server anymore
   else
     sleep 60
   fi
done
$ checkx.sh
Tue May 24 09:48:43 PDT 2011
./checkx.sh: line 12: 10927 Terminated              xclock
Tue May 24 09:49:45 PDT 2011
./checkx.sh: line 12: 11393 Terminated              xclock
Tue May 24 09:50:47 PDT 2011
b./checkx.sh: line 12: 11592 Terminated              xclock
Tue May 24 09:51:49 PDT 2011
./checkx.sh: line 12: 11782 Terminated              xclock
Tue May 24 09:52:51 PDT 2011
./checkx.sh: line 12: 11977 Terminated              xclock
Tue May 24 09:53:53 PDT 2011
./checkx.sh: line 12: 12161 Terminated              xclock
Tue May 24 09:54:55 PDT 2011
./checkx.sh: line 12: 12345 Terminated              xclock
Tue May 24 09:55:57 PDT 2011
./checkx.sh: line 12: 12534 Terminated              xclock
Tue May 24 09:56:59 PDT 2011
./checkx.sh: line 12: 12723 Terminated              xclock
Tue May 24 09:58:01 PDT 2011
./checkx.sh: line 12: 12912 Terminated              xclock
Tue May 24 09:59:03 PDT 2011
./checkx.sh: line 12: 13142 Terminated              xclock
Tue May 24 10:00:05 PDT 2011
./checkx.sh: line 12: 13345 Terminated              xclock
Tue May 24 10:01:07 PDT 2011
./checkx.sh: line 12: 13578 Terminated              xclock
Tue May 24 10:02:09 PDT 2011
./checkx.sh: line 12: 13843 Terminated              xclock
Tue May 24 10:03:11 PDT 2011
./checkx.sh: line 12: 14074 Terminated              xclock
Tue May 24 10:04:13 PDT 2011
./checkx.sh: line 12: 14260 Terminated              xclock
Tue May 24 10:05:16 PDT 2011
./checkx.sh: line 12: 14455 Terminated              xclock
Tue May 24 10:06:18 PDT 2011
X connection to localhost:15.0 broken (explicit kill or server shutdown).
xclock: no process killed
Cannot talk to X Server anymore

After this I cannot re-establish an X connection until I exit the ssh 
session and ssh back in again. Any ideas?

(I'm gonna post this to both Cygwin and Cygwin-X as I'm not sure if this 
is a problem with ssh or a problem with X).
-- 
<a href="http://defaria.com">Andrew DeFaria</a><br>
<small><font color="#999999">If a man says something in the woods and 
there are no women there, is he still wrong?</font></small>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple